Update a Configuration Element

post

/rest/{versionId}/configuration/device-configs/{deviceId}/config-elements/update

Use this (POST) method to update all top-level element and sub-element configuration instances on the OSDMC database. Changes are made only to your staging area. No changes are pushed to the device until you use the Perform a Device Action (POST) method.

Request

Path Parameters
Back to Top

Response

200 Response

Successful operation

400 Response

The user input is invalid.

401 Response

The user is unauthorized.

403 Response

The user doesn't have the required permission

404 Response

The object (resource URI, device, config, and so on) of your input request cannot be found.

409 Response

The Device type (MCE, ME) cannot be updated.

500 Response

An internal server error has occurred while processing the request.
Back to Top

Examples

Examples of Accessing the API

See Authenticate page to acquire a token.

The following example shows how to use curl to update a Configuration Element.

curl -X POST \
    -d @request.json \
    -H @auth_header.txt \
    "https://<tenant-url>/<tenant-name>/osdmc/ums/rest/<versionId>/configuration/device-configs/<deviceId>/config-elements/update"

The following example shows how to use Python to update a Configuration Element.

import requests
import json
headers = {
	"Accept": "application/json",
	"Authorization": "Bearer <auth-token>"
}
with open("request.json") as f: data = json.load(f)
url  = "https://<tenant-url>/<tenant-name>/osdmc/ums/rest/<versionId>/configuration/device-configs/<deviceId>/config-elements/update"
resp = requests.post(url, headers=headers, data=data)

Note:

Use the Get a List of Devices Associated with Config Manager API to find the deviceId parameter.

Example of the Request Body

The following shows an example of the contents of the request file sent as the request body.

{
  "elementTypePath": "mediaPolicy",
  "attributes": [
    {
      "name": "name",
      "value": "testMePolicy"
    },
    {
      "name": "rtpTtl",
      "value": "10"
    }
  ]
}

Example of the Response Body

The following example shows the contents of the response body.

{
  "attributes": [
    {
      "name": "rtpTtl",
      "value": "10"
    },
    {
      "name": "lastModifiedDate",
      "value": "2026-01-21 09:00:03"
    },
    {
      "name": "dataVersion",
      "value": ""
    },
    {
      "name": "lastModifiedBy",
      "value": "OSDMC_admin_192.0.2.10"
    },
    {
      "name": "name",
      "value": "testMePolicy"
    }
  ],
  "childrenElements": [
    {
      "attributes": [
        {
          "name": "mediaType",
          "value": "testType"
        },
        {
          "name": "tosValue",
          "value": "0x00"
        },
        {
          "name": "mediaSubType",
          "value": "testSubType"
        }
      ],
      "elementTypePath": "mediaPolicy/tosSetting"
    }
  ],
  "elementTypePath": "mediaPolicy"
}
Back to Top